\name{mLDM-package}
\alias{mLDM-package}
\docType{package}
\title{
Metagenomic Lognormal-Dirichlet-Multinomial Model (mLDM)
}
\description{
A package for sparse miciobial associations discovery
}
\details{
mLDM(X, M, ...) is the main function for uers; Please refer to \code{\link{mLDM}}\cr
}
\author{
\packageAuthor{mLDM}

Maintainer: \packageMaintainer{mLDM}
}
\references{
doi: http://dx.doi.org/10.1101/042630
}

\keyword{ package }
\seealso{

}
\examples{
n = 100
p = 10
q = 3
X <- matrix(floor(runif(n*p, 1, 10)), n, p)
M <- matrix(runif(n*q), n, q)
result <- mLDM(X, M, Z_mean = 1)
# NOTE:

# The optimal result selected by model selection
resultOptimal <- result$optimal
# Theta is the precision matrix, the sign of Theta_ij is opposite with the association between OTU-i and OTU-j
Theta <- resultOptimal[[3]]
B <- resultOptimal[[1]]
B0 <- resultOptimal[[2]]
Z <- resultOptimal[[4]]
lambda1 <- resultOptimal[[5]]
lambda2 <- resultOptimal[[6]]
EBIC <- resultOptimal[[7]]
# Associations among OTUs and OTUs
Associations_OTU_OTU <- resultOptimal[[9]]
# Associations between environmental factors and OTUs
Associations_EF_OTU <- resultOptimal[[8]]

}
